#!/bin/sh
root=`pwd`/../../..

tmp=/tmp/pbtut
num=`echo $1 | sed "s/[^0-9]//g"`
in=example$num.pb
out=example$num.png
odir=`pwd`/..
pblib=$root/src/plumblib
echo $pblib

mkdir -p $tmp
cp $root/util/plumbviz.awk $tmp
cp *.awk $tmp
cp fan $tmp
cp $root/src/plumb $tmp
cp $pblib/* $tmp

if test ! "$1" = "legend"
then
(cat $in; echo '
draw1=[timer period=0.01 repeat=1 msg="dump_internals \"'$in'\"; flush; exit; flush;"] | draw2=[cmd]
') > $tmp/$in

cd $tmp
./plumb -I . -f $in 2>DRAW

awk -f plumbviz.awk -v omit_legend=1 -v "exclude=draw1,draw2,[new]" < DRAW
mv plumbviz_1.png $odir/$out
else
cd $tmp
	echo '
a
### start of plumb internals
b
### end of plumb internals
c
' | awk -f plumbviz.awk
mv plumbviz_1.png $odir/legend.png
fi
